=== modified file 'lib/lp/blueprints/model/sprint.py'
--- lib/lp/blueprints/model/sprint.py	2011-03-18 04:18:01 +0000
+++ lib/lp/blueprints/model/sprint.py	2011-05-19 17:17:44 +0000
@@ -314,7 +314,7 @@
         # result set.  Listification should do.
         list(getUtility(IPersonSet).getPrecachedPersonsFromIDs(
                 people, need_validity=True))
-        return sorted(result, key=lambda a: a.attendee.name)
+        return sorted(result, key=lambda a: a.attendee.displayname)
 
     # linking to specifications
     def linkSpecification(self, spec):

=== added file 'lib/lp/blueprints/model/tests/test_sprint.py'
--- lib/lp/blueprints/model/tests/test_sprint.py	1970-01-01 00:00:00 +0000
+++ lib/lp/blueprints/model/tests/test_sprint.py	2011-05-19 17:48:05 +0000
@@ -0,0 +1,27 @@
+# Copyright 2011 Canonical Ltd.  This software is licensed under the
+# GNU Affero General Public License version 3 (see the file LICENSE).
+
+"""Unit test for sprints."""
+
+__metaclass__ = type
+
+from canonical.testing.layers import DatabaseFunctionalLayer
+from lp.testing import TestCaseWithFactory
+
+
+class TestSprintAttendancesSort(TestCaseWithFactory):
+
+    layer = DatabaseFunctionalLayer
+
+    def test_attendances(self):
+        #Test the sorting of attendances to be by displayname rather than name
+        sprint = self.factory.makeSprint()
+        bob = self.factory.makePerson(name='zbob', displayname='Bob')
+        dave = self.factory.makePerson(name='wdave', displayname='Dave')
+        sprint.attend(
+            bob, sprint.time_starts, sprint.time_ends, True)
+        sprint.attend(
+            dave, sprint.time_starts, sprint.time_ends, True)
+        attendances = [bob.displayname, dave.displayname]
+        people = [attendee.attendee.displayname for attendee in sprint.attendances]
+        self.assertEqual(attendances, people)

=== modified file 'lib/lp/blueprints/stories/sprints/20-sprint-registration.txt'
--- lib/lp/blueprints/stories/sprints/20-sprint-registration.txt	2010-10-18 22:24:59 +0000
+++ lib/lp/blueprints/stories/sprints/20-sprint-registration.txt	2011-05-19 22:27:12 +0000
@@ -147,8 +147,8 @@
 
     >>> print_attendees(browser.contents)
     Carlos Perell&#243; Mar&#237;n
-    Sample Person
     Guilherme Salgado
+    Sample Person
 
 In order to make it easy to organize a meeting, we provide a facility
 for exporting the list of attendees in CSV format to registered users,

